Loading...
Searching...
No Matches
hueplusplus::XYBrightness Struct Reference

Color and brightness in CIE. More...

`#include <hueplusplus/ColorUnits.h>`

Collaboration diagram for hueplusplus::XYBrightness:
[legend]

## Public Member Functions

bool | operator== (const XYBrightness &other) const
bool | operator!= (const XYBrightness &other) const

## Public Attributes

XY | xy
| XY color.
float | brightness
| Brightness from 0 to 1.

## Detailed Description

Color and brightness in CIE.

The brightness is needed to convert back to RGB colors if necessary.

Note
  brightness is not the actual luminance of the color, but instead the brightness the light is set to.

## Member Function Documentation

## operator!=()

bool hueplusplus::XYBrightness::operator!= | ( | const XYBrightness & | other | ) | const

inline

## operator==()

bool hueplusplus::XYBrightness::operator== | ( | const XYBrightness & | other | ) | const

inline

## Member Data Documentation

## brightness

float hueplusplus::XYBrightness::brightness

Brightness from 0 to 1.

## xy

XY hueplusplus::XYBrightness::xy

XY color.

The documentation for this struct was generated from the following file:

- include/hueplusplus/ColorUnits.h